/*+TDDL:cmd_extra(ENABLE_MASTER_MPP=true,mpp_parallelism=48,DATABASE_PARALLELISM=48)*/select
	100.00 * sum(case
		when p_type like 'PROMO%'
			then l_extendedprice * (1 - l_discount)
		else 0
	end) / sum(l_extendedprice * (1 - l_discount)) as promo_revenue
from
	lineitem,
	part
where
	l_partkey = p_partkey
	and l_shipdate >= '1993-11-01'
	and l_shipdate < '1993-11-01' + interval '1' month;
